View Issue Details

Category
SSPBT:本体(SSP)
SeverityfeatureReproducibilityalways 
Status closed 
Fixed in Version2.4 (リリース) 
Summary0000112: sounds stop working
Description

When using the ![sound,play,File Name] and ![sound,option,File Name] commands, the error "[DShow] An object or name was not found." shows up after using the command multiple times. In result, the entire SSP sound commands stop working and no sounds play at all.
Using a new installation of SSP fixes it.

「!sound, play, ファイル名」と「!sound, option, ファイル名」のコマンドを使っていますが、音が鳴らなくなりました。「[DShow] An object or name was not found.」というエラーメッセージが出ました。新しくインストールされたsspでは音が鳴ります。

TagsNo tags attached.
Attach Tags

Activities

ponapalt

2020-10-21 12:48

administrator   ~0000224

I had added some fix in 2.4.89. Please try it.

guest

2020-10-21 21:00

reporter   ~0000227

The error still occurs, but now it doesn't stop all SSP sounds from working anymore. It only happens with certain japanese songs?

"Eve - デーモンダンストーキョー.mp3"
"ウォルピス社 - -Cover- ウォルピスカーター"
"ななし - Original v flower/ ディジーディジー"
show "[DShow] Cannot play back the file. The format is not supported."

"トミノ - ドラマツルギー_Eve【Ver.トミノ】" <- this works
"トミノ - ノイローゼ_蜂屋ななし【トミノ.Ver】" <- but this one not

I tried finding the reason but I can't figure it out.

guest

2020-11-04 23:57

reporter   ~0000231

Sound bug still not resolved, perhaps still encoding issues?
Additionally, the sound command now breaks an open balloon half a second after executing the sound script.

ponapalt

2021-03-21 13:50

administrator   ~0000269

Please try 2.4.93.

guest

2021-03-25 07:27

reporter   ~0000285

I'm not the original reporter, but I've been testing this too and it seems that songs are able to play now. The only issues are that the rate option doesn't work for songs that were previously not working, though it works fine for songs that were already working. Also, --sound-only=false does not show a window unless it's a video file.

ponapalt

2021-06-11 17:04

administrator   ~0000391

(timeout)

Issue History

Date Modified Username Field Change
2020-10-15 11:31 guest New Issue
2020-10-21 12:48 ponapalt Assigned To => ponapalt
2020-10-21 12:48 ponapalt Status new => assigned
2020-10-21 12:48 ponapalt Note Added: 0000224
2020-10-21 21:00 guest Note Added: 0000227
2020-11-04 23:57 guest Note Added: 0000231
2021-03-21 13:50 ponapalt Status assigned => acknowledged
2021-03-21 13:50 ponapalt Note Added: 0000269
2021-03-25 07:27 guest Note Added: 0000285
2021-06-11 17:04 ponapalt Status acknowledged => closed
2021-06-11 17:04 ponapalt Resolution open => fixed
2021-06-11 17:04 ponapalt Fixed in Version => 2.4 (リリース)
2021-06-11 17:04 ponapalt Note Added: 0000391